Subject: Re: [PANRG] One suggestion for draft-irtf-panrg-what-not-to-do-14

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 29 Dec 2020 17:08:51 -0600

Hi, Erik,

On Tue, Dec 29, 2020 at 1:24 PM Erik Auerswald <[email-masked]>
wrote:

> Dear authors of draft-irtf-panrg-what-not-to-do,
>
> I would like to make a small suggestion for adjusting the text.
> I suggest to replace "protocol number" with "version number"
> in section 5.1. "Stream Transport (ST, ST2, ST2+)" of the draft:
>
> OLD:
>
>     The second version of the ST specification (ST2) [RFC1190] [RFC1819]
>     was an experimental connection-oriented internetworking protocol that
>     operated at the same layer as connectionless IP.  ST2 packets could
>     be distinguished by their IP header protocol numbers (IP, at that
>     time, used protocol number 4, while ST2 used protocol number 5).
>
> NEW:
>
>     The second version of the ST specification (ST2) [RFC1190] [RFC1819]
>     was an experimental connection-oriented internetworking protocol that
>     operated at the same layer as connectionless IP.  ST2 packets could
>     be distinguished by their IP header version numbers (IP, at that
>     time, used version number 4, while ST2 used version number 5).
>
> The field in question was the IP version field, not the IP protocol
> field.
>
> To quote from RFC 1819, section 1.2 "ST2 and IP" on page 8:
>
>     Both ST2 and IP apply the same addressing schemes to identify
>     different hosts. ST2 and IP packets differ in the first four bits,
>     which contain the internetwork protocol version number: number 5 is
>     reserved for ST2 (IP itself has version number 4).
>
> (As a side note, this is reason for IPv6 being the successor of IPv4.)
>
> Thanks and best regards,
> Erik Auerswald
>

I agree. This is now submitted in -16.

And the perfect draft is even more perfect ... ;-)

Have a great end-of-year!

Best,

Spencer

---

From: Erik Auerswald <[email-masked]>
Date: Tue, 29 Dec 2020 20:24:34 +0100

OLD:

NEW:

Thanks and best regards,
Erik Auerswald